<?php
// Ticker Posts Options.
$wp_customize->add_section(
	'home_page_ticker_posts_options',
	array(
		'title' => __( 'News Ticker Options', 'fitnote' ),
		'panel' => 'header_options_panel',
	)
);

$wp_customize->add_setting(
    'fitnote_options[enable_ticker_posts]',
    array(
        'default'           => $fitnote_default['enable_ticker_posts'],
        'sanitize_callback' => 'fitnote_sanitize_checkbox',
    )
);
$wp_customize->add_control(
    'fitnote_options[enable_ticker_posts]',
    array(
		'label'    => __( 'Enable Article Ticker Section', 'fitnote' ),
        'section'     => 'home_page_ticker_posts_options',
        'type'        => 'checkbox',
    )
);

$wp_customize->add_setting(
    'fitnote_options[enable_ticker_only_on_frontpage]',
    array(
        'default' => $fitnote_default['enable_ticker_only_on_frontpage'],
        'sanitize_callback' => 'fitnote_sanitize_checkbox',
    )
);
$wp_customize->add_control(
    'fitnote_options[enable_ticker_only_on_frontpage]',
    array(
        'label' => __('Display only on the Homepage', 'fitnote'),
        'section' => 'home_page_ticker_posts_options',
        'type' => 'checkbox',
    )
);

$wp_customize->add_setting(
    'fitnote_options[enable_ticker_label]',
    array(
        'default'           => $fitnote_default['enable_ticker_label'],
        'sanitize_callback' => 'fitnote_sanitize_checkbox',
    )
);
$wp_customize->add_control(
    'fitnote_options[enable_ticker_label]',
    array(
        'label'           => __( 'Enable Ticker Label', 'fitnote' ),
        'section'     => 'home_page_ticker_posts_options',
        'type'        => 'checkbox',
    )
);

// Ticker Label Text.
$wp_customize->add_setting(
    'fitnote_options[ticker_label_text]',
    array(
        'default'           => $fitnote_default['ticker_label_text'],
        'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control(
    'fitnote_options[ticker_label_text]',
    array(
        'label'           => __( 'Ticker Label', 'fitnote' ),
        'description'     => __( 'Leave blank to use the default text "Latest".', 'fitnote' ),
        'section'         => 'home_page_ticker_posts_options',
        'type'            => 'text',
    )
);

// Ticker Posts Category.
$wp_customize->add_setting(
	'fitnote_options[ticker_posts_cat]',
	array(
		'default'           => $fitnote_default['ticker_posts_cat'],
		'sanitize_callback' => 'absint',
	)
);
$wp_customize->add_control(
	new FitNote_Dropdown_Taxonomies_Control(
		$wp_customize,
		'fitnote_options[ticker_posts_cat]',
		array(
			'label'           => __( 'Choose Category', 'fitnote' ),
			'section'         => 'home_page_ticker_posts_options',
		)
	)
);

// No of posts.
$wp_customize->add_setting(
	'fitnote_options[no_of_ticker_posts]',
	array(
		'default'           => $fitnote_default['no_of_ticker_posts'],
		'sanitize_callback' => 'absint',
	)
);
$wp_customize->add_control(
	'fitnote_options[no_of_ticker_posts]',
	array(
		'label'           => __( 'Number of Posts', 'fitnote' ),
		'section'         => 'home_page_ticker_posts_options',
		'type'            => 'number',
	)
);

// No of posts offset.
$wp_customize->add_setting(
    'fitnote_options[ticker_posts_number_of_post_offsets]',
    array(
        'default' => $fitnote_default['ticker_posts_number_of_post_offsets'],
        'sanitize_callback' => 'absint',
    )
);
$wp_customize->add_control(
    'fitnote_options[ticker_posts_number_of_post_offsets]',
    array(
        'label' => __('Post Offset Number', 'fitnote'),
        'section' => 'home_page_ticker_posts_options',
        'type' => 'number',
    )
);


// Posts Orderby.
$wp_customize->add_setting(
	'fitnote_options[ticker_posts_orderby]',
	array(
		'default'           => $fitnote_default['ticker_posts_orderby'],
		'sanitize_callback' => 'fitnote_sanitize_select',
	)
);
$wp_customize->add_control(
	'fitnote_options[ticker_posts_orderby]',
	array(
		'label'           => __( 'Orderby', 'fitnote' ),
		'section'         => 'home_page_ticker_posts_options',
		'type'            => 'select',
		'choices'         => array(
			'date'  => __( 'Date', 'fitnote' ),
			'id'    => __( 'ID', 'fitnote' ),
			'title' => __( 'Title', 'fitnote' ),
			'rand'  => __( 'Random', 'fitnote' ),
		),
	)
);

// Posts Order.
$wp_customize->add_setting(
	'fitnote_options[ticker_posts_order]',
	array(
		'default'           => $fitnote_default['ticker_posts_order'],
		'sanitize_callback' => 'fitnote_sanitize_select',
	)
);
$wp_customize->add_control(
	'fitnote_options[ticker_posts_order]',
	array(
		'label'           => __( 'Order', 'fitnote' ),
		'section'         => 'home_page_ticker_posts_options',
		'type'            => 'select',
		'choices'         => array(
			'asc'  => __( 'ASC', 'fitnote' ),
			'desc' => __( 'DESC', 'fitnote' ),
		),
	)
);


$wp_customize->add_setting(
    'fitnote_options[enable_ticker_posts_author_meta]',
    array(
        'default'           => $fitnote_default['enable_ticker_posts_author_meta'],
        'sanitize_callback' => 'fitnote_sanitize_checkbox',
    )
);
$wp_customize->add_control(
    'fitnote_options[enable_ticker_posts_author_meta]',
    array(
        'label'       => esc_html__( 'Display Author Meta', 'fitnote' ),
        'section'     => 'home_page_ticker_posts_options',
        'type'        => 'checkbox',
    )
);

$wp_customize->add_setting(
    'fitnote_options[select_ticker_posts_author_meta]',
    array(
        'default'           => $fitnote_default['select_ticker_posts_author_meta'],
        'sanitize_callback' => 'fitnote_sanitize_select',
    )
);
$wp_customize->add_control(
    'fitnote_options[select_ticker_posts_author_meta]',
    array(
        'label'         => esc_html__( 'Select Author Meta', 'fitnote' ),
        'section'     => 'home_page_ticker_posts_options',
        'type'        => 'select',
        'choices'       => fitnote_author_meta(),


    )
);

$wp_customize->add_setting(
    'fitnote_options[ticker_posts_author_meta_title]',
    array(
        'default'           => $fitnote_default['ticker_posts_author_meta_title'],
        'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control(
    'fitnote_options[ticker_posts_author_meta_title]',
    array(
        'label'    => __( 'Author Meta Text', 'fitnote' ),
        'section'  => 'home_page_ticker_posts_options',
        'type'     => 'text',
    )
);

$wp_customize->add_setting(
    'fitnote_options[enable_ticker_posts_date_meta]',
    array(
        'default'           => $fitnote_default['enable_ticker_posts_date_meta'],
        'sanitize_callback' => 'fitnote_sanitize_checkbox',
    )
);
$wp_customize->add_control(
    'fitnote_options[enable_ticker_posts_date_meta]',
    array(
        'label'       => esc_html__( 'Display Published Date', 'fitnote' ),
        'section'     => 'home_page_ticker_posts_options',
        'type'        => 'checkbox',
    )
);

$wp_customize->add_setting(
    'fitnote_options[select_ticker_posts_date]',
    array(
        'default'           => $fitnote_default['select_ticker_posts_date'],
        'sanitize_callback' => 'fitnote_sanitize_select',
    )
);
$wp_customize->add_control(
    'fitnote_options[select_ticker_posts_date]',
    array(
        'label'         => esc_html__( 'Select Date Meta', 'fitnote' ),
        'section'     => 'home_page_ticker_posts_options',
        'type'        => 'select',
        'choices'       => fitnote_date_meta(),

    )
);

$wp_customize->add_setting(
    'fitnote_options[single_ticker_post_date_meta_title]',
    array(
        'default'           => $fitnote_default['single_ticker_post_date_meta_title'],
        'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control(
    'fitnote_options[single_ticker_post_date_meta_title]',
    array(
        'label'    => __( 'Date Meta Text', 'fitnote' ),
        'section'  => 'home_page_ticker_posts_options',
        'type'     => 'text',
    )
);

$wp_customize->add_setting(
    'fitnote_options[select_ticker_posts_date_format]',
    array(
        'default'           => $fitnote_default['select_ticker_posts_date_format'],
        'sanitize_callback' => 'fitnote_sanitize_select',
    )
);
$wp_customize->add_control(
    'fitnote_options[select_ticker_posts_date_format]',
    array(
        'label'         => esc_html__( 'Select Date Format', 'fitnote' ),
        'section'     => 'home_page_ticker_posts_options',
        'type'        => 'select',
        'choices'       => fitnote_get_date_formats(),
    )
);

$wp_customize->add_setting(
    'fitnote_options[enable_ticker_posts_category_meta]',
    array(
        'default'           => $fitnote_default['enable_ticker_posts_category_meta'],
        'sanitize_callback' => 'fitnote_sanitize_checkbox',
    )
);
$wp_customize->add_control(
    'fitnote_options[enable_ticker_posts_category_meta]',
    array(
        'label'       => esc_html__( 'Enable Category Meta', 'fitnote' ),
        'section'     => 'home_page_ticker_posts_options',
        'type'        => 'checkbox',
    )
);

$wp_customize->add_setting(
    'fitnote_options[select_ticker_posts_number_of_category]',
    array(
        'default'           => $fitnote_default['select_ticker_posts_number_of_category'],
        'sanitize_callback' => 'absint',
    )
);
$wp_customize->add_control(
    'fitnote_options[select_ticker_posts_number_of_category]',
    array(
        'label'       => __( 'Number of Category', 'fitnote' ),
        'section'     => 'home_page_ticker_posts_options',
        'type'        => 'number',
    )
);

$wp_customize->add_setting(
    'fitnote_options[ticker_posts_category_label]',
    array(
        'default'           => $fitnote_default['ticker_posts_category_label'],
        'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control(
    'fitnote_options[ticker_posts_category_label]',
    array(
        'label'       => esc_html__( 'Category Label', 'fitnote' ),
        'section'  => 'home_page_ticker_posts_options',
        'type'     => 'text',
    )
);

$wp_customize->add_setting(
    'fitnote_options[select_ticker_posts_category_color]',
    array(
        'default'           => $fitnote_default['select_ticker_posts_category_color'],
        'sanitize_callback' => 'fitnote_sanitize_select',
    )
);
$wp_customize->add_control(
    'fitnote_options[select_ticker_posts_category_color]',
    array(
        'label'         => esc_html__( 'Select Category Color', 'fitnote' ),
        'section'     => 'home_page_ticker_posts_options',
        'type'        => 'select',
        'choices'       => fitnote_category_color(),

    )
);